''' <summary>
''' Example 4
''' Demonstrates using a generic Dictionary
''' </summary>
''' <remarks></remarks>
Public Class GenericDictionaryExample

#Region " Properties"
    Private StateDictionary As New Dictionary(Of String, String)
#End Region

#Region " Form Events"
    Private Sub GenericDictionaryExample_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        FillForm()
    End Sub
#End Region

#Region " Private Methods"

#Region " FillForm"
    ''' <summary>
    ''' Fills the form with data.
    ''' </summary>
    Private Sub FillForm()
        StateDictionary.Add("CA", "California")
        StateDictionary.Add("NY", "New York")
        StateDictionary.Add("WI", "Wisconsin")

        ' Bind the grid
        StateGrid.DataSource = New BindingSource(StateDictionary, Nothing)
    End Sub
#End Region

#End Region

End Class
