''' <summary>
''' Example 2
''' Demonstrates using a generic List instead of an Array
''' This also demonstrates sorting of a list
''' </summary>
Public Class ListExample

#Region " Properties"
    Private NameList As New List(Of String)
#End Region

#Region " Control Events"
    Private Sub AddButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddButton.Click
        ProcessAdd()
    End Sub

    Private Sub SortButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SortButton.Click
        ProcessSort()
    End Sub
#End Region

#Region " Private Methods"

#Region " ProcessAdd"
    ''' <summary>
    ''' Adds a name to the list
    ''' </summary>
    Private Sub ProcessAdd()
        ' NOTE
        '   No rediming
        '   No need to track an index
        '   6 lines of code become two lines of code
        NameList.Add(NameTextBox.Text)
        NameTextBox.Text = String.Empty

        NamesListBox.DataSource = Nothing
        NamesListBox.DataSource = NameList
    End Sub
#End Region

#Region " ProcessSort"
    ''' <summary>
    ''' Sorts the list
    ''' </summary>
    Private Sub ProcessSort()
        NameList.Sort()
        'NameList.Reverse()

        NamesListBox.DataSource = Nothing
        NamesListBox.DataSource = NameList
    End Sub
#End Region

#End Region

End Class