''' <summary>
''' Example 5
''' Manages the Person business object
''' </summary>
Public Class Person

#Region " Properties"
    Public ReadOnly Property DisplayName() As String
        Get
            Dim returnName As String = String.Empty
            If Not String.IsNullOrEmpty(LastName) Then
                returnName &= LastName
            End If
            If Not String.IsNullOrEmpty(FirstName) Then
                If Not String.IsNullOrEmpty(returnName) Then
                    returnName &= ", "
                End If
                returnName &= FirstName
            End If
            Return returnName
        End Get
    End Property

    Private _LastName As String
    Public Property LastName() As String
        Get
            Return _LastName
        End Get
        Set(ByVal value As String)
            _LastName = value
        End Set
    End Property

    Private _FirstName As String
    Public Property FirstName() As String
        Get
            Return _FirstName
        End Get
        Set(ByVal value As String)
            _FirstName = value
        End Set
    End Property

    Private _Phone As String
    Public Property Phone() As String
        Get
            Return _Phone
        End Get
        Set(ByVal value As String)
            _Phone = value
        End Set
    End Property
#End Region

#Region " Methods"
    ''' <summary>
    ''' Performs the save operation
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub Save()
        MsgBox("Got to the Save: " & DisplayName)
    End Sub
#End Region

End Class

